jtag(1)

NAME
jtag - UrJTAG command shell

SYNOPSIS
jtag [-hinqv] file ...

DESCRIPTION
UrJTAG is a software package which enables working with JTAG-aware (IEEE 1149.1) hardware devices (parts) and boards through JTAG adapter.

OPTIONS

-h, --help
    Display a short help text and exit.

-i, --interactive
    Enter interactive mode after executing commands from files (this is the default if no files are named on the command line).

-n, --norc
    Disable reading ~/.jtag/rc on startup.

-q, --quiet
    Do not print help on startup.

-v, --version
    Display version information and exit.

ARGUMENTS
If arguments remain after option processing, they are taken as names of files containing JTAG commands, one per line. Unless the --interactive option was specified, the program will exit after processing the commands from the file[s].

FILES

~/.jtag/rc

    A per-user text file containing JTAG commands to execute at startup.

/usr/share/urjtag

    Data files about various CPUs, flash chips etc.

BUGS
Bugs are tracked at the project homepage, http://www.urjtag.org.

SEE ALSO
bsdl2jtag(1)

AUTHORS
Authors and contributors are listed in the AUTHORS and THANKS files in the source documentation.

HISTORY
JTAG Tools originally have been developed as part of the openwince project by Marcel Telka. They became an independent project named UrJTAG in late 2007.